<br>
<br>
<div class="row" style="margin-left: 30px; position: relative;" *ngIf="userProfile">
    <mat-card class="col-sm-3" id="infoCard1">
        <mat-card id="infoCard2">
            <img mat-card-md-image src="./assets/img/person_profile.png">
            <mat-card-title> Informacije: </mat-card-title>

            <div mat-line *ngIf="userProfile.kind === 'Trainer'">
                <mat-label>*Trener</mat-label>
            </div>
            <br>
            <mat-card-content>
                <mat-list>
                    <mat-list-item>
                        <div mat-line>
                            <mat-label>Ime i prezime :</mat-label>
                        </div>
                        <div mat-line>

                            <h6> {{userProfile.firstName}} {{userProfile.lastName}}</h6>
                        </div>
                    </mat-list-item>

                    <mat-list-item>
                        <div mat-line>
                            Korisničko ime:
                        </div>
                        <div mat-line>
                            <h6> {{userProfile.username}} </h6>
                        </div>
                    </mat-list-item>

                    <mat-list-item>
                        <div mat-line>
                            <mat-label> Email:</mat-label>

                        </div>
                        <div mat-line>
                            <h6> {{userProfile.email}} </h6>
                        </div>
                    </mat-list-item>
                    <mat-list-item>
                        <div mat-line> Datum rođenja: </div>
                        <div mat-line>
                            <h6> {{userProfile.birthday | date:"dd.MM.yyyy"}}
                            </h6>
                        </div>
                    </mat-list-item>
                    <mat-list-item>
                        <div mat-line> Pol: </div>
                        <div mat-line *ngIf="userProfile.gender === 'female'; else male">
                            <h6> ženski </h6>
                        </div>
                        <ng-template #male>
                            <h6> muški </h6>
                        </ng-template>
                    </mat-list-item>
                </mat-list>

            </mat-card-content>
            <mat-card-actions id="profileUpd" *ngIf="sameProfile; else noSameProfile">
                <a [routerLink]="['/profileUpdate']" style="color: black;">Izmenite profil </a>
            </mat-card-actions>
            <ng-template #noSameProfile>
                <mat-card-actions id="profileUpd" *ngIf="userFromSub">
                    <a (click)="otpratiKorisnika(userProfile._id)" style="color: black;">Otprati korisnika </a>
                </mat-card-actions>
            </ng-template>
        </mat-card>
    </mat-card>
    <div class="col-sm-7">
        <div *ngIf="sameProfile">
            <mat-card class="inputStatus">
                <mat-card-title id="statusTitle">
                    Podelite sa drugima novi status:
                </mat-card-title>

                <mat-card-content>
                    <mat-form-field>
                        <textarea matInput type="text" id="statusInput" rows="1" placeholder="..."
                            [(ngModel)]="currentStatus"></textarea>
                    </mat-form-field>

                </mat-card-content>
                <mat-card-actions>
                    <button mat-raised-button (click)="sendStatus()">podelite status</button>
                </mat-card-actions>

            </mat-card>
        </div>
        <div class="row" style="padding-top: 10%;">

            <div class="col-sm-3">

                <mat-card class="status">

                    <!-- ovde postaviti trenutno vreme i datum: -->
                    <div>
                        <mat-card-header>Statusi korisnika {{userProfile.username}} :</mat-card-header>
                    </div>
                    <cdk-virtual-scroll-viewport itemSize="50" class="example-viewport">
                        <div *ngFor="let stat of statuses">
                            <mat-card style="border: 1px dotted black; border-radius: 5%;"
                                *ngIf="stat.content !=='' && stat.content !==' ' ">

                                <p>{{stat.date | date:"dd.MM.yyyy HH:mm"}} </p>
                                <mat-list role="list">
                                    <mat-list-item role="listitem">{{stat.content}}</mat-list-item>

                                </mat-list>

                            </mat-card>
                        </div>
                    </cdk-virtual-scroll-viewport>
                </mat-card>
                <mat-card class="status">
                    <mat-card-header>Lista pretplaćenih treninga: </mat-card-header>
                    <cdk-virtual-scroll-viewport itemSize="20" class="example-viewport">
                        <div *ngFor="let training of workOut">
                            <mat-list role="list"
                                style="border: 1px dotted black;border-radius: 5%; background-color: white;">
                                <mat-list-item role="listitem">{{training.name}}</mat-list-item>

                            </mat-list>
                        </div>
                    </cdk-virtual-scroll-viewport>
                </mat-card>
            </div>
            <div class="col-sm-4" style="margin-left: 15rem;">
                <mat-card class="status">
                    <mat-card-header>Pronadjite i zapratite zeljenog trenera: </mat-card-header>
                    <cdk-virtual-scroll-viewport itemSize="20" class="example-viewport">
                        <div *ngIf="usersTrainer.length !==0; else noUser">

                            <div *ngFor="let user of usersTrainer">
                                <mat-list role="list"
                                    style="border: 1px dotted black;border-radius: 5%; background-color: white;">
                                    <mat-list-item role="listitem">{{user.username}} <button mat-mini-fab color=""
                                            aria-label="Example icon button with a plus one icon"
                                            (click)="addSubscribe(user._id)" style="margin-left: 70%;">
                                            <mat-icon>plus_one</mat-icon>
                                        </button>
                                    </mat-list-item>

                                </mat-list>
                            </div>

                        </div>

                        <ng-template #noUser>
                            <mat-list role="list"
                                style="border: 1px dotted black;border-radius: 5%; background-color: white;">
                                <mat-list-item role="listitem">Pratite sve trenere. </mat-list-item>
                            </mat-list>
                        </ng-template>

                    </cdk-virtual-scroll-viewport>
                </mat-card>
                <mat-card class="status">
                    <mat-card-header>Pronađite i zapratite željenog vezbača: </mat-card-header>
                    <cdk-virtual-scroll-viewport itemSize="20" class="example-viewport">
                        <div *ngIf="usersTrainee.length !== 0; else noUser2">

                            <div *ngFor="let user of usersTrainee">
                                <mat-list role="list"
                                    style="border: 1px dotted black;border-radius: 5%; background-color: white;">
                                    <mat-list-item role="listitem">{{user.username}} <button mat-mini-fab color=""
                                            aria-label="Example icon button with a plus one icon"
                                            (click)="addSubscribe(user._id)" style="margin-left: 70%;">
                                            <mat-icon>plus_one</mat-icon>
                                        </button>
                                    </mat-list-item>

                                </mat-list>
                            </div>

                        </div>

                        <ng-template #noUser2>
                            <mat-list role="list"
                                style="border: 1px dotted black;border-radius: 5%; background-color: white;">

                                <mat-list-item role="listitem">Pratite sve vežbače. </mat-list-item>
                            </mat-list>
                        </ng-template>

                    </cdk-virtual-scroll-viewport>
                </mat-card>

            </div>



        </div>
    </div>

</div>